#!/bin/bash

#########################################################
#
# Shell script written by Mario Leberig
# last changed: 13/08/03 V1.0 
# 
# at the moment still hardcoded and thus subject to changes by the user:
#    * the script assumes that castorFile.pl can be found in your standard
#      path 
#    
# comments, complaines, suggestions: mario.leberig@cern.ch     
#
########################################################


if [ $# != 1 ];  then
    echo
    echo "-----------------------------------------------------"
    echo
    echo "This scrip starts batch job for DST reading "
    echo
    echo "Usage: ./goodchunks.sh RunNumber"
    echo "Example:"
    echo "./goodchunks.sh 20222"
    echo
    echo "-----------------------------------------------------"
    echo
    exit
fi

run=$1

if [ -f goodchunks_${run}.txt ] ; then
    echo
    echo "**** goodchunks_${run}.txt already exists override? ****"
    echo
    select sel in yes no ; do
	if [ $sel = "yes" ] ; then
	    echo "**** overriding existing file ****"
	    break
	else
	    echo "**** bailing out ****" 
	    exit
	fi
    done
fi

$(castorFile.pl ${run} | awk 'NF==3&&$2>100000000&&($3=="onTAPE"||$3=="onDISK"){print $1}' > goodchunks_${run}.txt)
 
