#!/bin/bash

#########################################################
#
# Shell script written by Mario Leberig
# last changed: 13/08/03 V1.0 
# 
# at the moment still hardcoded and thus subject to changes by the user:
#    * the shell script assumes that goodchunks.sh can be found in the 
#      same directory
#    
# comments, complaines, suggestions: mario.leberig@cern.ch     
#
########################################################

if [ $# != 3 ];  then
    echo
    echo "-----------------------------------------------------"
    echo $#
    echo "This scrip starts batch job for DST reading "
    echo
    echo "Usage: ./msubmit.sh RunNumber data_out_dir MasterOptFile"
    echo "Example:"
    echo "./msubmit.sh 20222 /castor/cern.ch/user/l/leberig/run29212_mwpc" 
    echo " trafdic.mysql"
    echo "no .opt file with template. will be taken"
    echo "This script is not portable, i.e. it must be run"
    echo "from the directory where it is"
    echo
    echo "-----------------------------------------------------"
    echo
    exit
fi

run=$1
dataout=$2
opt_old=$3

rfmkdir -p $dataout
rfcp $opt_old $dataout
#mkdir -p ./run$run

if [ ! -r goodchunks_${run}.txt ] ; then
    echo
    echo "**** goodchunks_${run}.txt does not exist. Produce it? ****"
    echo
   select sel in yes no ; do
	if [ $sel = "yes" ] ; then
	    echo
	    echo "**** starting goodchunk.sh ${run} ****"
	    echo
	    $(goodchunks.sh ${run})
	    break
	else
	    echo "**** bailing out ****" 
	    exit
	fi
    done
fi 

for f in $(cat goodchunks_${run}.txt) ; do
    ./mrun $f $dataout $opt_old
done
